<div ng-controller="FichaOrden" ng-cloak ng-init="init()">
    <nav class="navbar navbar-inverse none" role="navigation">
        <div class="container-fluid">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" ng-init="Navbar1_copy = true"
                ng-click="Navbar1_copy = !Navbar1_copy">
                    <span class="sr-only">
                        Toggle navigation
                    </span>
                    <span class="icon-bar">
                    </span>
                    <span class="icon-bar">
                    </span>
                    <span class="icon-bar">
                    </span>
                </button>
                <a class="navbar-brand" href="javascript:void(0)">
                <img alt="Usuario" height="100%" src="files/images/favicon.png">
                </a>
            </div>
            <div class="collapse navbar-collapse" ng-class="!Navbar1_copy && 'in'">
                <ul class="nav navbar-nav navbar-left">
                    <li ng-click="goToInicio()" ng-show="showMenu(&quot;Inicio&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Inicio</a>
                    </li>
                    <li ng-click="goToMapa()" ng-show="showMenu(&quot;Mapa&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Mapa</a>
                    </li>
                    <li ng-show="showMenu(&quot;Ordenes&quot;)" uib-dropdown class="dropdown  ">
                        <a href="javascript:void(0)" class="dropdown-toggle" data-toggle="dropdown" uib-dropdown-toggle>Ordenes <span class="caret"></span></a>
                        <ul class="dropdown-menu" role="menu" uib-dropdown-menu>
                            <li class="">
                                <a href="" ng-click="goToBuscarOrdenes()" ng-show="showMenu(&quot;Buscar&quot;)">Buscar</a>
                            </li>
                            <li class="">
                                <a href="" ng-click="goToCargarOrdenes()" ng-show="showMenu(&quot;Cargar&quot;)">Cargar</a>
                            </li>
                            <li class="">
                                <a href="" ng-click="goToDiistribucionOrdenes()" ng-show="showMenu(&quot;Distribución&quot;)">Distribucion</a>
                            </li>
                            <li class="">
                                <a href="" ng-click="goToEstadoActualOrdenes()" ng-show="showMenu(&quot;Estado Actual&quot;)">Estado Actual</a>
                            </li>
                        </ul>
                    </li>
                    <li ng-click="goToUsuarios()" ng-show="showMenu(&quot;Usuarios&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Usuarios</a>
                    </li>
                    <li ng-click="goToEmpresa()" ng-show="showMenu(&quot;Empresa&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Empresa</a>
                    </li>
                    <li ng-click="goToMiCuenta()" ng-show="showMenu(&quot;Mi cuenta&quot;)" class="">
                        <a href="javascript:void(0)" class="navbar-link">Mi Cuenta</a>
                    </li>
                </ul>
                <button ng-click="salir(true)" ng-show="showMenu(&quot;Salir&quot;)" class="btn btn-danger navbar-btn navbar-right"
                type="button">
                    <span class="ion ion-log-out" style="color: black;">
                    </span>
                    Salir
                </button>
            </div>
        </div>
    </nav>
    <a href="" back-button="">
    &lt; Volver
    </a>
    <table class="table table-bordered">
        <tr>
            <td>
                <!-- bootstraptablecol -->
                <h2>
                    Ficha de Orden: {{orden.codigo}}
                </h2>
            </td>
            <td>
                <button ng-click="updateOrder()" ng-hide="ordenNoEditable" class="btn btn-primary btn-lg"
                type="button">
                    <span class="ion ion-upload" style="color: black;">
                    </span>
                    Actualizar
                </button>
            </td>
        </tr>
    </table>
    <table class="table table-bordered table-striped">
        <tr>
            <td width="160">
                Marca
            </td>
            <td>
                {{orden.marca}}
            </td>
            <td width="160">
                Estado
            </td>
            <td class="text-{{orden.color}}">
                {{orden.nomEstado}}
            </td>
        </tr>
        <tr>
            <td>
                Nombre Cliente
            </td>
            <td>
                {{orden.cliente}}
            </td>
            <td>
                Fecha Solicitud
            </td>
            <td>
                {{getDateFormat(orden.fechaSolicitud)}}
            </td>
        </tr>
        <tr>
            <td>
                Dirección
            </td>
            <td class="text-{{orden.colorExistePosGPS}}">
                {{orden.direccion}}, {{orden.comuna}}{{orden.msgNoPosGPS}}
            </td>
            <td>
                Fecha Asignación
            </td>
            <td>
                <input type="date" value="{{orden.fechaAsignacionData}}" placeholder="Enter text"
                ng-change="validarFechaOperacion()" ng-disabled="ordenNoEditable" min="{{minFechaSelect}}"
                ng-model="orden.fechaAsignacionModel" class="form-control" name="">
            </td>
        </tr>
        <tr>
            <td>
                Cita Date
            </td>
            <td>
                {{getDateFormat(orden.fechaEstimada)}}
            </td>
            <td>
                Ingeniero asignado
            </td>
            <td>
                <select class="form-control" ng-disabled="ordenNoEditable" ng-model="orden.ingeniero">
                    <option value="{{item.codigo}}" ng-repeat="item in mOperators">
                        {{item.nombre}}
                    </option>
                </select>
            </td>
        </tr>
        <tr>
            <td>
                Modelo/Serie
            </td>
            <td>
                {{orden.articulo}}
            </td>
            <td>
                Tipo Orden
            </td>
            <td>
                {{orden.tipoServicio}}-{{orden.subTipoServicio}}
            </td>
        </tr>
        <tr>
            <td>
                Fecha Compra
            </td>
            <td>
                {{getDateFormat(orden.fechaCompra, &quot;F&quot;)}}
            </td>
            <td>
                Teléfono Cliente
            </td>
            <td>
                {{orden.telefonoCliente}}
            </td>
        </tr>
        <tr>
            <td>
                Comentario Cliente
            </td>
            <td>
                {{orden.mensajeCliente}}
            </td>
            <td>
                Mail Cliente
            </td>
            <td>
                {{orden.correoCliente}}
            </td>
        </tr>
        <tr>
            <td>
                Descripción Defecto
            </td>
            <td>
                {{orden.descripcionDefecto}}
            </td>
            <td>
                Descripción Reparación
            </td>
            <td>
                {{orden.descripcionReparacion}}
            </td>
        </tr>
    </table>
    <table class="table table-bordered table-striped">
        <tr>
            <td width="160">
                Fecha Inicio Servicio
            </td>
            <td>
                {{getDateFormat(orden.fechaInicioServicio)}}
            </td>
            <td width="160">
                Fecha Fin Servicio
            </td>
            <td>
                {{getDateFormat(orden.fechaEjecucion)}}
            </td>
        </tr>
        <tr>
            <td>
                Investigación
            </td>
            <td colspan='3'>
                {{orden.investigacion}}
            </td>
        </tr>
        <tr>
            <td>
                Diagnóstico Especialista
            </td>
            <td colspan='3'>
                {{orden.diagEspecialistaTexto}}
            </td>
        </tr>
        <tr>
            <td>
                Trabajo Especialista
            </td>
            <td colspan='3'>
                {{orden.trabEspecialistaTexto}}
            </td>
        </tr>
    </table>
    <table class="table table-bordered table-striped">
        <tr>
            <td width="160">
                Checklist
            </td>
            <td>
                <table class="table table-bordered">
                    <tr ng-repeat="item in orden.checkList">
                        <td width="20">
                            <img ng-show="item.value" width="" height="20px" src="files/images/ok.png" class="img-default"
                            alt="Image error">
                            <img ng-hide="item.value" width="" height="20px" src="files/images/error.png" class="img-default"
                            alt="Image error">
                        </td>
                        <td>
                            {{item.name}}
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                Repuestos
            </td>
            <td colspan='3'>
                <div class="table-responsive">
                    <table class="table table-bordered table-condensed" wifth="800">
                        <tr ng-repeat="item in orden.repuestos">
                            <td width="200">
                                <img ng-show="showIf(item.additional||item.value, true, false)" width="" height="20px"
                                src="files/images/ok.png" class="img-default" alt="Image error">
                                <img ng-hide="showIf(item.additional||item.value, true, false)" width="" height="20px"
                                src="files/images/error.png" class="img-default" alt="Image error">
                            </td>
                            <td>
                                {{showIf(item.additional, item.value, item.name)}}
                            </td>
                            <td colspan='3' width="25">
                                {{showIf(item.additional, &quot;ADICIONAL&quot;, &quot;&quot;)}}
                            </td>
                        </tr>
                    </table>
                </div>
            </td>
        </tr>
        <tr>
            <td>
                Ubicación del Servicio
            </td>
            <td colspan='3'>
                <div class="aio-google-map mymap">
                    <ui-gmap-google-map center="map.center" zoom="map.zoom" pan="true" control="map.control"
                    dragging="false">
                        <ui-gmap-marker coords="mark" idKey="mark.id" ng-repeat="mark in markers">
                            <ui-gmap-window coords="{latitude: '40.1451', longitude: '-99.6680'}" show="true">
                                <div>
                                    {{mark.title}}
                                </div>
                            </ui-gmap-window>
                        </ui-gmap-marker>
                    </ui-gmap-google-map>
                </div>
            </td>
        </tr>
        <tr>
            <td>
                Fotografías
            </td>
            <td colspan='3'>
                <img ng-click="openModalPhoto(item)" ng-repeat="item in arrFotos" ng-src="{{item}}"
                width="" height="300px" src="files/images/no-image.jpg" class="img-rounded" alt="Image error">
            </td>
        </tr>
    </table>
</div>